Name:           babl
Version:        0.1.88
Release:        2
Summary:        Dynamic Pixel Format Translation Library
License:        LGPL-3.0-or-later AND GPL-3.0-or-later
Group:          Development/Libraries/C and C++
URL:            http://gegl.org/babl/

Source0:        https://download.gimp.org/pub/babl/0.1/%{name}-%{version}.tar.xz
Source99:       baselibs.conf
Patch0:         Fix-misspelled-kwarg-name.patch
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  vala
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(vapigen)

%define vala_version %(rpm -q --queryformat='%%{VERSION}' vala | sed 's/\.[0-9]*$//g')

%description
babl is a dynamic, any to any, pixel format translation library.

%package -n typelib-1_0-Babl-0_1
Summary:        Introspection bindings for babl
Group:          System/Libraries

%description -n typelib-1_0-Babl-0_1
babl is a dynamic, any to any, pixel format translation library.

This package provides the GObject Introspection bindings for babl.

%package devel
Summary:        Dynamic Pixel Format Translation Library
Group:          Development/Libraries/C and C++
Requires:       glibc-devel
Requires:       %{name} = %{version}

%description devel
babl is a dynamic, any to any, pixel format translation library.

%package vala
Summary:        Vala Bindings to the Dynamic Pixel Format Translation Library
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       vala

%description vala
babl is a dynamic, any to any, pixel format translation library.

This package provides Vala bindings for babl.

%check
cd tests
for problematic in %nil; do
    rm -f "$problematic"
    cat << EOF > "$problematic"
#!/bin/sh
echo Skipping test "$problematic"
EOF
    chmod +x "$problematic"
done
cd -
%meson_test

%prep
%autosetup -p1

%build
sed "s,@BABL_GIT_VERSION@,%{version},g" git-version.h.in > git-version.h
%meson -Dwith-docs=false \
	%{nil}
%meson_build

%install
%meson_install
mv %{buildroot}%{_datadir}/vala %{buildroot}%{_datadir}/vala-%{vala_version}

%post   -n %{name} -p /sbin/ldconfig
%postun -n %{name} -p /sbin/ldconfig

%files
%license COPYING
%doc NEWS
%{_libdir}/*.so.*
%{_libdir}/babl-0.1/
%{_libdir}/girepository-1.0/Babl-0.1.typelib

%files devel
%doc AUTHORS TODO
%{_includedir}/babl-0.1/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/Babl-0.1.gir

%files vala
%{_datadir}/vala-%{vala_version}/vapi/babl-0.1.deps
%{_datadir}/vala-%{vala_version}/vapi/babl-0.1.vapi

%changelog
* Wed Jan 18 2023 yaoxin <yaoxin30@h-partners.com> - 0.1.88-2
- Fix build error

* Tue Aug 24 2021 chenchen <chen_aka_jan@163.com> - 0.1.88-1
- update to 0.1.88

* Mon May 31 2021 baizhonggui <baizhonggui@huawei.com> - 0.1.56-4
- Add gcc in BuildRequires

* Fri Dec 13 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.1.56-3
- Package init
